path: /build/build/frameworkintegration-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e '/app-admin\/packagekit-qt/d' /var/git/meta-repo/kits/kde-kit/kde-frameworks/frameworkintegration/*.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test X appstream prefix" emerge kde-frameworks/frameworkintegration:5 -pv -t && \
    USE="-test X appstream prefix" emerge -j ${JOBS} --nodeps kde-frameworks/frameworkintegration:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/frameworkintegration && luet-portage
    --dir /pkgdir/frameworkintegration kde-frameworks/frameworkintegration:5 && eval
    'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5d95fe14d7291e50bfde62495425f9f9f8b7ff36ec63ab12a7c1aa34199aa692
  package:
    name: frameworkintegration
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -test
    - X
    - appstream
    - prefix
    requires:
    - name: kcmutils
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Framework for integrating Qt applications with KDE Plasma workspaces
    uri:
    - https://kde.org/
    license: LGPL-2+
    buildtimestamp: 2024-02-12 09:57:40.694201978 +0000 UTC m=+103.162359652
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
        ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5
        >=kde-frameworks/kconfigwidgets-5.111:5 >=kde-frameworks/ki18n-5.111:5 >=kde-frameworks/kiconthemes-5.111:5
        >=kde-frameworks/knewstuff-5.111:5 >=kde-frameworks/knotifications-5.111:5
        appstream? ( app-admin/packagekit-qt dev-libs/appstream[qt5] ) X? ( >=dev-qt/qtx11extras-5.15.1:5
        x11-libs/libxcb ) >=kde-frameworks/kpackage-5.111:5 >=kde-frameworks/kwidgetsaddons-5.111:5
        dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
        ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
      IUSE: appstream X test debug test
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5
        >=kde-frameworks/kconfigwidgets-5.111:5 >=kde-frameworks/ki18n-5.111:5 >=kde-frameworks/kiconthemes-5.111:5
        >=kde-frameworks/knewstuff-5.111:5 >=kde-frameworks/knotifications-5.111:5
        appstream? ( app-admin/packagekit-qt dev-libs/appstream[qt5] ) X? ( >=dev-qt/qtx11extras-5.15.1:5
        x11-libs/libxcb ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
      emerge.packages: kde-frameworks/frameworkintegration:5
      kit: kde-kit
      original.package.name: kde-frameworks/frameworkintegration
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/frameworkintegration
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: eba84a4d26629d96a84e99219db11441b5321128f377aff133f92cb122c350a7
compressiontype: zstd
files:
- usr/include/KF5/FrameworkIntegration/frameworkintegration_version.h
- usr/include/KF5/KStyle/KStyle
- usr/include/KF5/KStyle/kstyle.h
- usr/include/KF5/KStyle/kstyle_export.h
- usr/lib64/cmake/KF5FrameworkIntegration/KF5FrameworkIntegrationConfig.cmake
- usr/lib64/cmake/KF5FrameworkIntegration/KF5FrameworkIntegrationConfigVersion.cmake
- usr/lib64/cmake/KF5FrameworkIntegration/KF5FrameworkIntegrationTargets-gentoo.cmake
- usr/lib64/cmake/KF5FrameworkIntegration/KF5FrameworkIntegrationTargets.cmake
- usr/lib64/libKF5Style.so
- usr/lib64/libKF5Style.so.5
- usr/lib64/libKF5Style.so.5.111.0
- usr/lib64/libexec/kf5/kpackagehandlers/knshandler
- usr/lib64/qt5/plugins/kf5/FrameworkIntegrationPlugin.so
- usr/share/doc/frameworkintegration-5.111.0/README.md.bz2
- usr/share/kf5/infopage/bar-bottom-left.png
- usr/share/kf5/infopage/bar-bottom-middle.png
- usr/share/kf5/infopage/bar-bottom-right.png
- usr/share/kf5/infopage/bar-middle-left.png
- usr/share/kf5/infopage/bar-middle-right.png
- usr/share/kf5/infopage/bar-top-left.png
- usr/share/kf5/infopage/bar-top-middle.png
- usr/share/kf5/infopage/bar-top-right.png
- usr/share/kf5/infopage/body-background.png
- usr/share/kf5/infopage/box-bottom-left.png
- usr/share/kf5/infopage/box-bottom-middle.png
- usr/share/kf5/infopage/box-bottom-right.png
- usr/share/kf5/infopage/box-center.png
- usr/share/kf5/infopage/box-middle-left.png
- usr/share/kf5/infopage/box-middle-right.png
- usr/share/kf5/infopage/box-top-left.png
- usr/share/kf5/infopage/box-top-middle.png
- usr/share/kf5/infopage/box-top-right.png
- usr/share/kf5/infopage/kde_infopage.css
- usr/share/kf5/infopage/kde_infopage_rtl.css
- usr/share/kf5/infopage/top-middle.png
- usr/share/knotifications5/plasma_workspace.notifyrc
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/CHOST
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/EAPI
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/IUSE
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/PF
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/RESTRICT
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/SIZE
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/SLOT
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/USE
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/frameworkintegration-5.111.0.ebuild
- var/db/pkg/kde-frameworks/frameworkintegration-5.111.0/repository
package_cacheimage: ""
runtime:
  name: frameworkintegration
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -test
  - X
  - appstream
  - prefix
  requires:
  - name: appstream
    version: '>=0'
    category: dev-libs
  - name: qtx11extras
    version: '>=0'
    category: dev-qt-5
  - name: knewstuff
    version: '>=0'
    category: kde-frameworks-5
  - name: knotifications
    version: '>=0'
    category: kde-frameworks-5
  - name: libxcb
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Framework for integrating Qt applications with KDE Plasma workspaces
  uri:
  - https://kde.org/
  license: LGPL-2+
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5
      >=kde-frameworks/kconfigwidgets-5.111:5 >=kde-frameworks/ki18n-5.111:5 >=kde-frameworks/kiconthemes-5.111:5
      >=kde-frameworks/knewstuff-5.111:5 >=kde-frameworks/knotifications-5.111:5 appstream?
      ( app-admin/packagekit-qt dev-libs/appstream[qt5] ) X? ( >=dev-qt/qtx11extras-5.15.1:5
      x11-libs/libxcb ) >=kde-frameworks/kpackage-5.111:5 >=kde-frameworks/kwidgetsaddons-5.111:5
      dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
      ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
    IUSE: appstream X test debug test
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5
      >=kde-frameworks/kconfigwidgets-5.111:5 >=kde-frameworks/ki18n-5.111:5 >=kde-frameworks/kiconthemes-5.111:5
      >=kde-frameworks/knewstuff-5.111:5 >=kde-frameworks/knotifications-5.111:5 appstream?
      ( app-admin/packagekit-qt dev-libs/appstream[qt5] ) X? ( >=dev-qt/qtx11extras-5.15.1:5
      x11-libs/libxcb ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
    emerge.packages: kde-frameworks/frameworkintegration:5
    kit: kde-kit
    original.package.name: kde-frameworks/frameworkintegration
    original.package.slot: "5"
    original.package.version: 5.111.0
